Subject: bug#6007: closed (Re: bug#6007: sort command in Fedora10)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Apr 2010 22:29:02 +0000

Your bug report

#6007: sort command in Fedora10

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6007: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6007
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6007: sort command in Fedora10
From: Eric Blake <[email-masked]>
To: Vito Di Blas <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Apr 2010 16:28:08 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/22/2010 03:34 PM, Vito Di Blas wrote:
> and I obtain the  file bbb.txt
> 
> Cari figli, domani
> Cari figli, ieri
> Cari figli, oggi
> Cari figlioli
> Cari figliozzi
> Cari figli, pregate
> Cari figlipucci
> 
> 
> which doesn't look sorted according to my expectation.

Not a bug, if you are in a locale where the collating order discards
punctuation and whitespace as insignificant.

> Then, in WindowsXP, I sort again the file aaa.txt with the command:
> 
> <...>    sort  aaa.txt  > ccc.txt
> 
> and I get the file ccc.txt :
> 
> Cari figli, domani
> Cari figli, ieri
> Cari figli, oggi
> Cari figli, pregate
> Cari figlioli
> Cari figliozzi
> Cari figlipucci

This is due to a difference in the default locales of your two systems.
http://www.gnu.org/software/coreutils/faq/#Sort-does-not-sort-in-normal-order_0021

Try again with 'LC_ALL=C sort aaa.txt' to see the difference.
Personally, I have 'export LC_COLLATE=C' in my ~/.bashrc in order to
guarantee traditional sorting, while everything else continues to follow
my default locale.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: sort command in Fedora10
From: "Vito Di Blas" <[email-masked]>
To: <[email-masked]>
Date: Thu, 22 Apr 2010 23:34:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear  Friends, in Linux Fedora10,  I sort the file aaa.txt :

Cari figliozzi
Cari figlipucci
Cari figli, oggi
Cari figli, ieri
Cari figli, domani
Cari figli, pregate
Cari figlioli

with the command:

<...>    sort  < aaa.txt  >  bbb.txt

and I obtain the  file bbb.txt

Cari figli, domani
Cari figli, ieri
Cari figli, oggi
Cari figlioli
Cari figliozzi
Cari figli, pregate
Cari figlipucci

which doesn't look sorted according to my expectation.
Then, in WindowsXP, I sort again the file aaa.txt with the command:

<...>    sort  aaa.txt  > ccc.txt

and I get the file ccc.txt :

Cari figli, domani
Cari figli, ieri
Cari figli, oggi
Cari figli, pregate
Cari figlioli
Cari figliozzi
Cari figlipucci

which looks sorted as expected.
Should  I  use in Fedora some sort option or I met a bug?
Thanks for your attention and best regards

Vito Di Blas   Ivrea  Italy
[email-masked]